GeoTools

OSGeo

Previous topic

Transform plugin

Next topic

Cartographic CSS Plugin

This Page

UnsupportedΒΆ

The modules in the unsupported directory have not passed the quality assurance steps required to be included as part of the library.

Not everything in the GeoTools code base is ready for public abuse quite yet; for the longest time developers would keep these experiments to themselves. With the use of our maven build system we have been able to “deploy” some of these jars for those of you wanting a sneak peek.

The following modules are provided for your amusement only to encourage collaborate on making these modules part of our library:

Research and Development:

Unsupported rendering plugins:

Unsupported DataStore implementations:

Unsupported Raster modules:

Unsupported Referencing implementations:

  • EPSG Oracle Plugin - allows an application to work an EPSG table of map projections in an Oracle database
  • EPSG H2 Plugin- Allows an application to work an EPSG table of map projections in an H2 (pure Java) database

Note

If you really need one of these modules to work?

Several of the unsupported modules (for example process) are really popular. That does not however mean that there is anyone in the GeoTools community taking care, fixing bugs and providing documentation. In some cases these modules are the work of students, in others a commercial company that donated the code (but in both cases more resources are needed to make the module usable and trustworthy).

In the past we threw out such work - we are trying a change of policy here by letting you see what can be done (and has been done).

If you really do need one of these modules cleaned up, perhaps for a deadline, please check out our support page - a range of commercial support options are available. Any one of these organisations can be hired to bring these modules up to speed.